getLoadedDLLs {base} | R Documentation

## Get DLLs Loaded in Current Session

### Description

This function provides a way to get a list of all the DLLs (see `dyn.load`) that are currently loaded in the R session.

### Usage

    getLoadedDLLs()

### Details

This queries the internal table that manages the DLLs.

### Value

An object of class `"DLLInfoList"` which is a list with an element corresponding to each DLL that is currently loaded in the session. Each element is an object of class `"DLLInfo"` which has the following entries.

`name` | the abbreviated name.
`path` | the fully qualified name of the loaded DLL.
`dynamicLookup` | a logical value indicating whether R uses only the registration information to resolve symbols or whether it searches the entire symbol table of the DLL.
`handle` | a reference to the C-level data structure that provides access to the contents of the DLL. This is an object of class `"DLLHandle"`.

Note that the class `DLLInfo` has an overloaded method for `$` which can be used to resolve native symbols within that DLL. Therefore, one must access the R-level elements described above using `[[`, e.g. `x[["name"]]` or `x[["handle"]]`.

### Note

We are starting to use the `handle` elements in the DLL object to resolve symbols more directly in R.

### Author(s)

Duncan Temple Lang duncan@wald.ucdavis.edu.

### See Also

`getDLLRegisteredRoutines`, `getNativeSymbolInfo`

### Examples

    getLoadedDLLs()

[Package base version 3.4.2 Index]